Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.prompts.create_version(id="prompt_aa87e2b1112a455b8deabed784372198", template="You are a customer support classifier. Classify the message into: {{categories}}\n\nRespond with only the category name.\n\nMessage: {{message}}")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.prompts.createVersion({
id: "prompt_aa87e2b1112a455b8deabed784372198",
requestBody: {
template: "You are a customer support classifier. Classify the message into: {{categories}}\n\nRespond with only the category name.\n\nMessage: {{message}}",
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using MeetKai.MKA1.Types.Requests;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.Prompts.CreateVersionAsync(
id: "prompt_aa87e2b1112a455b8deabed784372198",
body: new CreatePromptVersionRequestBody() {
Template = @"You are a customer support classifier. Classify the message into: {{categories}}
Respond with only the category name.
Message: {{message}}",
}
);
// handle responsecurl --request POST \
--url https://apigw.mka1.com/api/v1/llm/prompts/{id}/versions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"template": "You are a customer support classifier. Classify the message into: {{categories}}\n\nRespond with only the category name.\n\nMessage: {{message}}"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
template: 'You are a customer support classifier. Classify the message into: {{categories}}\n\nRespond with only the category name.\n\nMessage: {{message}}'
})
};
fetch('https://apigw.mka1.com/api/v1/llm/prompts/{id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "pver_bb98f3c2223b566c9dfbcef895483209",
"prompt_id": "prompt_aa87e2b1112a455b8deabed784372198",
"version": 2,
"object": "prompt.version",
"template": "Classify the following customer message into one of these categories: {{categories}}\n\nMessage: {{message}}",
"created_at": "2026-03-15T10:30:00Z"
}Prompts
Crear una nueva versión
Crea una nueva versión de un aviso. La nueva versión se convierte automáticamente en la versión activa. Los campos no proporcionados se trasladan de la versión anterior.
POST
/
api
/
v1
/
llm
/
prompts
/
{id}
/
versions
Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.prompts.create_version(id="prompt_aa87e2b1112a455b8deabed784372198", template="You are a customer support classifier. Classify the message into: {{categories}}\n\nRespond with only the category name.\n\nMessage: {{message}}")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.prompts.createVersion({
id: "prompt_aa87e2b1112a455b8deabed784372198",
requestBody: {
template: "You are a customer support classifier. Classify the message into: {{categories}}\n\nRespond with only the category name.\n\nMessage: {{message}}",
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using MeetKai.MKA1.Types.Requests;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.Prompts.CreateVersionAsync(
id: "prompt_aa87e2b1112a455b8deabed784372198",
body: new CreatePromptVersionRequestBody() {
Template = @"You are a customer support classifier. Classify the message into: {{categories}}
Respond with only the category name.
Message: {{message}}",
}
);
// handle responseAutorizaciones
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Encabezados
Optional external end-user identifier forwarded by the API gateway.
Parámetros de ruta
Identificador de aviso de padre
Cuerpo
application/json
El texto de la plantilla del aviso
Required string length:
1 - 100000Respuesta
201 - application/json
Está bien
Identificador de versión único
Identificador de aviso de padre
Número de versión
Rango requerido:
-9007199254740991 <= x <= 9007199254740991Tipo de objeto
El texto de la plantilla del aviso con marcadores de posición {{variable}}.
Marca de tiempo en la que se creó esta versión
¿Esta página le ayudó?
⌘I